/*
 *  Person.cpp
 *  CppTutorial
 *
 *
 */

#include "Person.h"

Person::Person() : _name("default-name") {
	//Default Constructor
}

Person::Person(const string& name) : _name(name) {
	//good place to allocate stuff (new)
}

Person::~Person() {
	//good place to deallocate stuff (delete)
}

const string& Person::getName() const {
	return _name;
}

void Person::setName(const std::string& name) {
	_name = name;
}

string Person::saySomething() const {
	return ("Hi, my name is " + _name);
}