/*
 *  pitfalls.cpp
 *  CppTutorialPart2
 *
 *  The example shows a common pitfall when declaring many pointers and/or
 *  references in one line.
 *
 */


#include <iostream>

int main(int argc, char *argv[])
{
  int* a, b; 
  // NOTE: b is NOT pointer-to-int!
  // a is pointer-to-int, b is int 
  // equivalent to:
  //  int *a;
  //  int b;

  int tmp=23;
  int& c=tmp, d;
  // NOTE: d is NOT reference-to-int!
  // c is reference-to-int, d is int
  // equivalent to:
  // int &c=tmp;
  // int d=tmp;


  std::cout << "tmp = " << tmp << std::endl;


  return EXIT_SUCCESS;
}
