/*
 *  stl_maps.cpp
 *  CppTutorialPart2
 *
 *  The example shows simple STL map usage.
 *
 */


#include <iostream>
#include <string>
#include <map>


int main(int argc, char *argv)
{
  {
  std::map<int, std::string> assoc_map;

  assoc_map[3] = "three";
  assoc_map[2] = "two";
  assoc_map[1] = "one";
  assoc_map[4] = "four";

  std::map<int, std::string>::iterator it = assoc_map.begin();

  for(; it != assoc_map.end(); ++it)
    {
      std::cout << "it->first = " << it->first << " , ";
      std::cout << "it->second = " << it->second << std::endl;
    }
  }


  {
    std::map<std::string, int> assoc_map;

    assoc_map["one"] = 1;
    assoc_map["two"] = 2;
    assoc_map["three"] = 3;
    assoc_map["four"] = 4;

    std::map<std::string, int>::iterator it = assoc_map.begin();

  for(; it != assoc_map.end(); ++it)
    {
      std::cout << "it->first = " << it->first << " , ";
      std::cout << "it->second = " << it->second << std::endl;
    }

  }




  return EXIT_SUCCESS;
} //main()
